/**
 * @file  AEChannelArray.cpp
 * @brief Implementierung der Klasse CAEChannelArray.
 */
//////////////////////////////////////////////////////////////////////

#include "StdAfx.h"
#include "AEChannelArray.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Konstruktion/Destruktion
//////////////////////////////////////////////////////////////////////

CAEChannelArray::CAEChannelArray()
{
	// Kanalarray initialisieren
	int i;
	for (i=0; i < MAX_CHANNEL; i++) {
	
		m_channels[i] = NULL;
	}
}

CAEChannelArray::~CAEChannelArray()
{
	// vorhandene Kanalklassen freigeben.
	int i;
	for (i=0; i < MAX_CHANNEL; i++) {
	
		if (m_channels[i]) {
		
			delete m_channels[i];
		}
	}
}

CChannel4Array::CChannel4Array()
{
	// Kanalarray initialisieren
	int i;
	for (i=0; i < MAX_CHANNEL4; i++) {
	
		m_channels[i] = NULL;
	}
}

CChannel4Array::~CChannel4Array()
{
	// vorhandene Kanalklassen freigeben.
	int i;
	for (i=0; i < MAX_CHANNEL4; i++) {
	
		if (m_channels[i]) {
		
			delete m_channels[i];
		}
	}
}

